@font-face {
    font-family: 'BlogScript';
    src: url('//driscolls.imgix.net/fonts/blogscript/BlogScriptCustom.eot');
    src: url('//driscolls.imgix.net/fonts/blogscript/BlogScriptCustom.eot?#iefix') format('embedded-opentype'),
        url('//driscolls.imgix.net/fonts/blogscript/BlogScriptCustom.woff') format('woff'),
        url('//driscolls.imgix.net/fonts/blogscript/BlogScriptCustom.ttf') format('truetype');
}

.main-wrapper {
    height: 175px;
}
.bus-wrapper {
    background: #49d64e;
    width: 700px;
    height: 205px;
    position: relative;
    animation: bus-bounce 0.75s linear infinite, bus-move 2s linear infinite;
    transform: scale(0.4);
    margin-left: -200px;
    margin-top: -40px;
}
.bus-wrapper:before {
    content: '';
    position: absolute;
    left: -12px;
    width: 0;
    height: 0;
    border-top: 103px solid transparent;
    border-bottom: 103px solid transparent;
    border-right: 12px solid #49d64e;
}
.bus-wrapper:after {
    content: '';
    position: absolute;
    right: -18px;
    top: 0;
    width: 0;
    height: 0;
    border-top: 163px solid transparent;
    border-bottom: 40px solid transparent;
    border-left: 18px solid #49d64e;
}

.lower-shape {
    position: absolute;
    width: 0;
    left: -22px;
    height: 0;
    bottom: -1px;
    border-left: 20px solid transparent;
    border-right: 90px solid transparent;
    border-bottom: 15px solid #222;
}

.window-section {
    width: 607px;
    height: 80px;
    display: inline-block;
    border-radius: 6px;
    background: #2e4148;
    margin-top: 15px;
    margin-left: 24px;
    padding-left: 21px;
}

.window-glass {
    width: 95px;
    height: 58px;
    background: #30b0c9;
    border-radius: 4px;
    margin: 11px 10px 11px 0;
    float: left;
    overflow: hidden;
}
.window-glass img {
    position: relative;
    animation: bus-bounce 0.75s linear infinite;
}
.window-glass:nth-child(1) {
    width: 50px;
}
.window-glass:nth-child(2) .glass-inner .seats.second,
.window-glass:nth-child(3) .glass-inner .seats.second,
.window-glass:nth-child(4) .glass-inner .seats.second {
    left: 45px;
}
.window-glass:nth-child(4) .glass-inner {
    margin-left: 0;
}
.window-glass:nth-child(5) .glass-inner {
    margin-left: -8px;
}
.window-glass:nth-child(5) .glass-inner .seats.first {
    left: 15px;
}
.window-glass:nth-child(5) .glass-inner .seats.second {
    left: 50px;
}
.window-glass:nth-child(6) .glass-inner {
    margin-left: -15px;
}
.window-glass:nth-child(6) .glass-inner .seats.first {
    left: 25px;
}
.window-glass:nth-child(6) .glass-inner .seats.second {
    display: none;
}

.glass-inner {
    width: 95px;
    height: 58px;
    background: #59bfd3;
    margin-top: 11px;
    margin-left: 15px;
    border-radius: 4px;
    position: relative;
}

.seats {
    width: 9px;
    height: 13px;
    background: rgba(255, 255, 255, 0.3);
    transform: skewX(9deg);
    border-radius: 2px;
    position: absolute;
    bottom: 10px;
    left: 6px;
}

.tyres-wrapper {
    position: relative;
    top: 40%;
}
.tyres-wrapper .tyres-content:nth-child(1) {
    position: absolute;
    bottom: -65px;
    left: 27%;
    border-radius: 90px 90px 0 0;
    -moz-border-radius: 90px 90px 0 0;
    -webkit-border-radius: 90px 90px 0 0;
    background: #222;
    padding: 10px;
    animation: bus-bounce 1s linear infinite;
    margin-top: -20px;
}
.tyres-wrapper .tyres-content:nth-child(2) {
    position: absolute;
    bottom: -65px;
    right: 9%;
    border-radius: 90px 90px 0 0;
    -moz-border-radius: 90px 90px 0 0;
    -webkit-border-radius: 90px 90px 0 0;
    background: #222;
    padding: 10px;
    animation: bus-bounce 1s linear infinite;
    margin-top: -20px;
}

.tyres {
    position: relative;
    z-index: 1;
    width: 73px;
    height: 73px;
    background: #4e5066;
    border-radius: 50%;
    border: 8px solid #3a3e4b;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    animation: stripe 1s linear infinite;
}

.rim-section {
    position: relative;
    width: 35px;
    height: 35px;
    background: #37a13a;
    border-radius: 50%;
    border: 11px solid #49d64e;
}

.stripe {
    width: 25px;
    position: absolute;
    height: 25px;
    border: 2px dashed #4e5066;
    border-radius: 50%;
    top: -6px;
    left: -6px;
    animation: stripe 1s linear infinite;
}

.sticker-wrap {
    position: absolute;
    right: 150px;
    top: 98px;
    z-index: 1;
}

.border-wrap {
    position: absolute;
    bottom: 18px;
    left: 30px;
}
.border-wrap > span {
    width: 543px;
    height: 4px;
    background: #fff;
    display: block;
    margin-bottom: 3px;
}
.border-wrap > span:last-child {
    margin-bottom: 0;
}

.driver-section {
    background: #2e4148;
    overflow: visible;
    width: 70px;
    border-radius: 4px;
    padding: 10px;
    position: absolute;
    right: 5px;
    top: 15px;
    padding-right: 0;
}
.driver-section:after {
    content: '';
    display: inline-block;
    position: absolute;
    width: 15px;
    height: calc(100% + -2px);
    background: #2e4148;
    float: right;
    right: -6px;
    top: 2px;
    z-index: 10;
    -ms-transform: skew(-30deg, 0deg);
    -webkit-transform: skew(-30deg, 0deg);
    transform: skew(7deg, 0deg);
}
.driver-section .window-glass {
    width: 60px;
}
.driver-section .glass-inner {
    margin-left: -57px;
    margin-top: -5px;
    height: 70px;
    transform: skewX(8deg);
}
.driver-section .handle {
    width: 30px;
    height: 3px;
    background: rgba(255, 255, 255, 0.3);
    transform: rotate(-20deg);
    border-radius: 2px;
    position: absolute;
    bottom: 10px;
    right: 15px;
}

.door-lower {
    width: 82px;
    height: 48px;
    position: absolute;
    border: 4px solid #2e4148;
    top: 110px;
    right: -7px;
    z-index: 1;
    border-radius: 4px;
}
.door-lower .dot1 {
    width: 10px;
    height: 4px;
    background: #3a3e4b;
    border-radius: 4px;
    margin-top: 8px;
    margin-left: 7px;
}
.door-lower .dot2 {
    width: 20px;
    height: 20px;
    background: #3a3e4b;
    float: right;
    margin-right: 7px;
    border-radius: 2px;
    margin-top: -3px;
}

.lights-wrap .lights-1 {
    background: #cc8460;
    box-shadow: 1px 2px 0px 0px rgba(0, 0, 0, 0.5);
    border-radius: 4px;
    width: 8px;
    height: 28px;
    position: absolute;
    bottom: 43px;
    left: -5px;
    animation: changeColor 0.5s infinite;
}
.lights-wrap .lights {
    background: #cc8460;
    box-shadow: 1px 1px 0px 0px rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    width: 8px;
    height: 3px;
    position: absolute;
    bottom: 43px;
    z-index: 1;
    animation: changeColor 0.5s infinite;
}
.lights-wrap .lights.lights-2 {
    left: 50px;
}
.lights-wrap .lights.lights-3 {
    left: 189px;
}
.lights-wrap .lights.lights-4 {
    left: 395px;
}
.lights-wrap .lights.lights-5 {
    right: 165px;
}

.square-1 {
    background: #dedede;
    border: 2px solid #2e4148;
    box-shadow: inset 2px 6px 2px 0px rgba(0, 0, 0, 0.5);
    border-radius: 4px;
    position: absolute;
    width: 14px;
    height: 14px;
    left: 50px;
    top: 105px;
}

.square-2 {
    width: 20px;
    height: 20px;
    border: 1px solid rgba(58, 62, 75, 0.1);
    border-radius: 6px;
    padding: 0px;
    display: inline-block;
    text-align: center;
    position: absolute;
    right: 5px;
    bottom: 21px;
}
.square-2 > div {
    width: 12px;
    height: 10px;
    background: #3a3e4b;
    display: inline-block;
    border-radius: 1px;
}

.square-3 {
    width: 20px;
    height: 20px;
    border: 1px solid rgba(58, 62, 75, 0.1);
    border-radius: 6px;
    padding: 0px;
    display: inline-block;
    text-align: center;
    position: absolute;
    right: 35px;
    bottom: 5px;
}
.square-3 > div {
    width: 12px;
    height: 10px;
    background: #3a3e4b;
    display: inline-block;
    border-radius: 1px;
}

.headlight-wrap {
    position: absolute;
    right: -17px;
    bottom: 66px;
    z-index: 1;
}
.headlight-wrap > span {
    width: 8px;
    height: 2px;
    background: #fff;
    display: block;
    margin-bottom: 1px;
}

@keyframes changeColor {
    0% {
        background-color: #cc8460;
    }
    50% {
        background-color: orange;
    }
    100% {
        background-color: #ffc107;
    }
}
@keyframes stripe {
    0% {
        -moz-transform: rotateZ(0deg);
        -webkit-transform: rotateZ(0deg);
        -o-transform: rotateZ(0deg);
        -ms-transform: rotateZ(0deg);
    }
    0% {
        -moz-transform: rotateZ(180deg);
        -webkit-transform: rotateZ(180deg);
        -o-transform: rotateZ(180deg);
        -ms-transform: rotateZ(180deg);
    }
    100% {
        -moz-transform: rotateZ(360deg);
        -webkit-transform: rotateZ(360deg);
        -o-transform: rotateZ(360deg);
        -ms-transform: rotateZ(360deg);
    }
}
@keyframes bus-bounce {
    0% {
        top: 4px;
    }
    20% {
        top: 1px;
    }
    40% {
        top: 4px;
    }
    75% {
        top: 0px;
    }
    100% {
        top: 2px;
    }
}
@keyframes bus-move {
    0% {
        left: 4px;
    }
    20% {
        left: 1px;
    }
    40% {
        left: -4px;
    }
    75% {
        left: 2px;
    }
    100% {
        left: 4px;
    }
}
